import { JavaProject } from "projen/lib/java";
import { GeneratedJavaProjectOptions } from "../../../types";
import { GeneratedJavaRuntimeProject } from "../../runtime/generated-java-runtime-project";
export interface GeneratedJavaCdkInfrastructureProjectOptions extends GeneratedJavaProjectOptions {
    /**
     * OpenAPI spec path, relative to the project outdir
     */
    readonly specPath: string;
    /**
     * The generated java types
     */
    readonly generatedJavaTypes: GeneratedJavaRuntimeProject;
}
export declare class GeneratedJavaCdkInfrastructureProject extends JavaProject {
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    /**
     * The generated java types
     * @private
     */
    private readonly generatedJavaTypes;
    /**
     * Source directory
     * @private
     */
    private readonly srcDir;
    /**
     * Java package name
     * @private
     */
    private readonly packageName;
    constructor(options: GeneratedJavaCdkInfrastructureProjectOptions);
    buildGenerateCommand: () => import("../../components/utils").CommandDetails;
}
